classification
Title: Some expired hyperlinks in Python documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: StevenHsuYL, docs@python, eric.araujo, iritkatriel, miss-islington, ncoghlan
Priority: normal Keywords: patch

Created on 2021-07-04 13:33 by StevenHsuYL, last changed 2021-07-28 13:37 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
index.rst StevenHsuYL, 2021-07-04 13:33 https://github.com/python/cpython/blob/main/Doc/distributing/index.rst
Pull Requests
URL Status Linked Edit
PR 27027 closed StevenHsuYL, 2021-07-05 03:48
PR 27032 merged StevenHsuYL, 2021-07-05 12:17
PR 27233 merged miss-islington, 2021-07-19 00:13
PR 27234 merged miss-islington, 2021-07-19 00:14
Messages (9)
msg396941 - (view) Author: Steven Hsu (StevenHsuYL) * Date: 2021-07-04 13:33
In https://github.com/python/cpython/blob/main/Doc/distributing/index.rst, there are three expired hyperlinks:

.. _Project structure: \
    https://packaging.python.org/tutorials/distributing-packages/
.. _Building and packaging the project: \
   https://packaging.python.org/tutorials/distributing-packages/#packaging-your-project
.. _Uploading the project to the Python Packaging Index: \
   https://packaging.python.org/tutorials/distributing-packages/#uploading-your-project-to-pypi

And it should be fixed in this way:

.. _Project structure: \
    https://packaging.python.org/tutorials/packaging-projects/#packaging-python-projects
.. _Building and packaging the project: \
   https://packaging.python.org/tutorials/packaging-projects/#creating-the-package-files
.. _Uploading the project to the Python Packaging Index: \
   https://packaging.python.org/tutorials/packaging-projects/#uploading-the-distribution-archives

Thanks.
msg396960 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-07-04 20:59
Thanks, do you mind creating a github PR to fix this?
msg397068 - (view) Author: Steven Hsu (StevenHsuYL) * Date: 2021-07-07 09:29
I have make a new PR (#27032), and the CLA was signed.
Thanks for review.
msg397768 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2021-07-19 00:10
New changeset b494685b2548489efcc66993cc6c13b027ce3b26 by Steven Hsu in branch 'main':
bpo-44561: Update hyperlinks in Doc/distributing/index.rst (#27032)
https://github.com/python/cpython/commit/b494685b2548489efcc66993cc6c13b027ce3b26
msg397770 - (view) Author: miss-islington (miss-islington) Date: 2021-07-19 00:34
New changeset bce2847169e181ae894b323b9d5c31b0a3bec621 by Miss Islington (bot) in branch '3.10':
[3.10] bpo-44561: Update hyperlinks in Doc/distributing/index.rst (GH-27032) (GH-27234)
https://github.com/python/cpython/commit/bce2847169e181ae894b323b9d5c31b0a3bec621
msg397771 - (view) Author: miss-islington (miss-islington) Date: 2021-07-19 00:39
New changeset 2f643b1a8cd53f3c2f49f931bc98990a3b400495 by Miss Islington (bot) in branch '3.9':
[3.9] bpo-44561: Update hyperlinks in Doc/distributing/index.rst (GH-27032) (GH-27233)
https://github.com/python/cpython/commit/2f643b1a8cd53f3c2f49f931bc98990a3b400495
msg397776 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2021-07-19 02:48
This can be closed.  Thanks for the patch!

For next time, such small doc fixes don’t need a NEWS entry.
msg397777 - (view) Author: Steven Hsu (StevenHsuYL) * Date: 2021-07-19 03:00
Thanks for reminding.
In the beginning, I didn't add a NEWS entry in the PR (#27032).

However, after 11 days when there was no progress of the PR, I doubted that maybe I missed something, so I made a NEWS entry to make sure.

And soon after the NEWS entry was added, the PR was processed quickly.

Anyway, it's a interesting experience for me, and thanks again!
msg398382 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2021-07-28 13:37
Python has thousands of open issues and PRs, so that’s why the one you opened didn’t have comments at first.

For cases like this, there is a 'skip-news' label to satisfy the robotic checks.
History
Date User Action Args
2021-07-28 13:37:56eric.araujosetmessages: + msg398382
2021-07-19 03:00:55StevenHsuYLsetstatus: open -> closed
resolution: fixed
messages: + msg397777

stage: patch review -> resolved
2021-07-19 02:48:03eric.araujosetnosy: + eric.araujo
messages: + msg397776
2021-07-19 00:39:08miss-islingtonsetmessages: + msg397771
2021-07-19 00:34:51miss-islingtonsetmessages: + msg397770
2021-07-19 00:14:00miss-islingtonsetpull_requests: + pull_request25782
2021-07-19 00:13:54miss-islingtonsetnosy: + miss-islington

pull_requests: + pull_request25781
stage: backport needed -> patch review
2021-07-19 00:12:16ncoghlansetstage: patch review -> backport needed
2021-07-19 00:10:51ncoghlansetnosy: + ncoghlan
messages: + msg397768
2021-07-07 09:30:15iritkatrielsetversions: + Python 3.9, Python 3.10, Python 3.11
2021-07-07 09:29:26StevenHsuYLsetmessages: + msg397068
versions: - Python 3.9
2021-07-05 12:17:13StevenHsuYLsetpull_requests: + pull_request25592
2021-07-05 03:48:08StevenHsuYLsetkeywords: + patch
stage: patch review
pull_requests: + pull_request25586
2021-07-04 20:59:48iritkatrielsetnosy: + iritkatriel
messages: + msg396960
2021-07-04 13:33:38StevenHsuYLcreate